App Store Problems For Users Running iOS 3.1.3

 

App Store download Problems

Image by velorowdy

 

The week leading up to Christmas saw some bad news for those Apple customers using the first generation iPhone and iPhone 3G, as well as users of early models of the iPod Touch. Owners of these devices have been unable to download apps from the app store, and there has been a barrage of complaints on Apple forums.

The most recent iOS for these older devices is 3.1.3 – these products can’t run iOS 4 or iOS 5 – and users have been left feeling stuck and frustrated at their inability to gain access to new apps as Christmas approaches. The question facing users now is whether this latest development is a software glitch or have they been left out in the cold.

 

 

Image by velorowdy

Colm Barker By Colm Barker
Editor with an interest in online publishing, interesting applications, and spreading ideas with smart media.

You must be logged in to post a comment Login